import request from '@/utils/request'

// 查询企业异常名录信息列表
export function listList(query) {
  return request({
    url: '/basicData/xcrEnterpriseExceptionList/findByPage',
    method: 'get',
    params: query
  })
}

// 查询企业异常名录信息详细
export function getList(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterpriseExceptionList/' + xhCodeId,
    method: 'get'
  })
}

// 新增企业异常名录信息
export function addList(data) {
  return request({
    url: '/basicData/xcrEnterpriseExceptionList',
    method: 'post',
    data: data
  })
}

// 修改企业异常名录信息
export function updateList(data) {
  return request({
    url: '/basicData/xcrEnterpriseExceptionList',
    method: 'put',
    data: data
  })
}

// 删除企业异常名录信息
export function delList(xhCodeId) {
  return request({
    url: '/basicData/xcrEnterpriseExceptionList/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delListBatch(ids) {
  return request.post('/basicData/xcrEnterpriseExceptionList/delete',ids)
}
